#
# spec file for package umsprogs (Version 0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         umsprogs
Copyright:    1993 Jacques Gelinas
Group:        System Environment/Base
Provides:     umsdos_progs
Autoreqprov:  on
Version:      0.9
Release:      386
Summary:      File system utilities
Source: umsdos_progs-0.9.src.tar.gz
Patch: umsdos_progs-0.9.dif

%description
Miscellaneous utilities which are needed for Jacques Gelinas' UMSDOS
file system.

Authors:
--------
    Jacques Gelinas <jacques@solucorp.qc.ca>

SuSE series: ap

%prep
%setup -n umsdos_progs-0.9
%patch

%build
make

%install
make install
install util/umssync.8 %{_mandir}/man8
install -s util/umssync /bin

%files
/bin/umssync
/sbin/udosctl
/sbin/umssetup
/sbin/umssync
%doc README
%doc %{_mandir}/man8/umssync.8.gz

%changelog -n umsprogs
* Wed Feb 14 2001 - ro@suse.de
- make it compile (using mangle.c from 2.4.1 source)
- this is screamingly ugly ...
* Wed Dec 13 2000 - schwab@suse.de
- Fix missing declarations.
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Mon Dec 06 1999 - kukuk@suse.de
- Remove lx_suse from neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 17 1999 - ro@suse.de
- added patches from debian to work with glibc
* Thu Nov 12 1998 - ro@suse.de
- we define KERNEL, so we have to use gcc ... grr
* Tue Sep 01 1998 - ro@suse.de
- define LINUX_FS_H to avoid including linux/fs.h
  before include <linux/umsdos_fs.h>
* Fri Oct 24 1997 - ro@suse.de
- new version 0.9
  re-applied old patch for umssync.c since code was unchanged
* Tue Oct 21 1997 - ro@suse.de
- ready for autobuild
